Loading...
Searching...
No Matches
dsam::DsamPort::Info Struct Reference

Port info. More...

`import "DsamPort.idl";`

## Public Attributes

int | dsamNumber
| DSAM number (1-based)
int | portNumber
| port number (1-based)
boolean | connected
| `true` if serial device is connected
DeviceInterfaceType | devIfType
| serial device interface type if `connected` is `true`
State | state
| state of the port

## Detailed Description

Port info.

Definition at line 53 of file DsamPort.idl.

## Member Data Documentation

## connected

boolean dsam::DsamPort::Info::connected

`true` if serial device is connected

Definition at line 56 of file DsamPort.idl.

## devIfType

DeviceInterfaceType dsam::DsamPort::Info::devIfType

serial device interface type if `connected` is `true`

Definition at line 57 of file DsamPort.idl.

## dsamNumber

int dsam::DsamPort::Info::dsamNumber

DSAM number (1-based)

Definition at line 54 of file DsamPort.idl.

## portNumber

int dsam::DsamPort::Info::portNumber

port number (1-based)

Definition at line 55 of file DsamPort.idl.

## state

State dsam::DsamPort::Info::state

state of the port

Definition at line 58 of file DsamPort.idl.

The documentation for this struct was generated from the following file:

- DsamPort.idl